# Uses of Class
org.codehaus.janino.Java.QualifiedThisReference

Packages that use Java.QualifiedThisReference
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.QualifiedThisReference in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.QualifiedThisReference
Modifier and Type
Method
Description
`R`
Visitor.RvalueVisitor.`visitQualifiedThisReference(Java.QualifiedThisReference qtr)`
Invoked by `accept(Visitor.RvalueVisitor)`

## Uses of Java.QualifiedThisReference in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.QualifiedThisReference
Modifier and Type
Method
Description
`Java.Rvalue`
DeepCopier.`copyQualifiedThisReference(Java.QualifiedThisReference subject)`
`void`
AbstractTraverser.`traverseQualifiedThisReference(Java.QualifiedThisReference qtr)`
`void`
Traverser.`traverseQualifiedThisReference(Java.QualifiedThisReference qtr)`